# gfarm_url_fragments_replicate

## Name

gfarm_url_fragments_replicate -- Create a file replica of a file

## Synopsis

    #include <gfarm/gfarm.h>

```char *gfarm_url_fragments_replicate``(const char *`gfarm_url`, int `ndsthosts`, char **`dsthosts`);`

## DESCRIPTION

`gfarm_url_fragments_replicate()` creates a file replica of a file `gfarm_url` to destination hosts specified by a string array `dsthosts` with a length `ndsthosts`. It cannot replicate an executable file.

When the total number of file fragments is greater than the specified total number of hosts `ndsthosts`, destination hosts are allocated in round robin.

## RETURN VALUES

`NULL`

  The function terminated successfully.

`GFARM_ERR_NO_MEMORY`

  Insufficient memory was available.

`GFARM_ERR_OPERATION_NOT_PERMITTED`

  The file is not a regular fragmented file.

Others

  An error except the above occurred. The reason is shown by its pointed strings.

## SEE ALSO

gfarm_url_section_replicate_from_to(3), gfarm_url_section_replicate_from_to(3)